Xerces 3.1.1 API: Class HTMLImageElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLImageElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLImageElementImpl

public final class HTMLImageElementImpl
extends HTMLElementImpl
implements HTMLImageElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:10 $
See Also:
  `HTMLImageElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLImageElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` | `getBorder()` Width of border around image.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image.
`boolean` | `getIsMap()` Use server-side image map.
`java.lang.String` | `getLongDesc()` URI designating a long description of this image or frame.
`java.lang.String` | `getLowSrc()` URI designating the source of this image, for low-resolution output.
`java.lang.String` | `getName()` The name of the element (for backwards compatibility).
`java.lang.String` | `getSrc()` URI designating the source of this image.
`java.lang.String` | `getUseMap()` Use client-side image map.
`java.lang.String` | `getVspace()` Vertical space above and below this image.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setBorder(java.lang.String border)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String hspace)`
`void` | `setIsMap(boolean isMap)`
`void` | `setLongDesc(java.lang.String longDesc)`
`void` | `setLowSrc(java.lang.String lowSrc)`
`void` | `setName(java.lang.String name)`
`void` | `setSrc(java.lang.String src)`
`void` | `setUseMap(java.lang.String useMap)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLImageElementImpl

    public HTMLImageElementImpl(HTMLDocumentImpl owner,
                                java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getLowSrc

    public java.lang.String getLowSrc()

  Description copied from interface: HTMLImageElement
  URI designating the source of this image, for low-resolution output.
  Specified by:
    getLowSrc in interface HTMLImageElement

### setLowSrc

    public void setLowSrc(java.lang.String lowSrc)

  Specified by:
    setLowSrc in interface HTMLImageElement

### getSrc

    public java.lang.String getSrc()

  Description copied from interface: HTMLImageElement
  URI designating the source of this image. See the src attribute definition in HTML 4.0.
  Specified by:
    getSrc in interface HTMLImageElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface HTMLImageElement

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLImageElement
  The name of the element (for backwards compatibility).
  Specified by:
    getName in interface HTMLImageElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLImageElement

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLImageElement
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getAlign in interface HTMLImageElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLImageElement

### getAlt

    public java.lang.String getAlt()

  Description copied from interface: HTMLImageElement
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.
  Specified by:
    getAlt in interface HTMLImageElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface HTMLImageElement

### getBorder

    public java.lang.String getBorder()

  Description copied from interface: HTMLImageElement
  Width of border around image. See the border attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getBorder in interface HTMLImageElement

### setBorder

    public void setBorder(java.lang.String border)

  Specified by:
    setBorder in interface HTMLImageElement

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: HTMLImageElement
  Override height. See the height attribute definition in HTML 4.0.
  Specified by:
    getHeight in interface HTMLImageElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface HTMLImageElement

### getHspace

    public java.lang.String getHspace()

  Description copied from interface: HTMLImageElement
  Horizontal space to the left and right of this image. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getHspace in interface HTMLImageElement

### setHspace

    public void setHspace(java.lang.String hspace)

  Specified by:
    setHspace in interface HTMLImageElement

### getIsMap

    public boolean getIsMap()

  Description copied from interface: HTMLImageElement
  Use server-side image map. See the ismap attribute definition in HTML 4.0.
  Specified by:
    getIsMap in interface HTMLImageElement

### setIsMap

    public void setIsMap(boolean isMap)

  Specified by:
    setIsMap in interface HTMLImageElement

### getLongDesc

    public java.lang.String getLongDesc()

  Description copied from interface: HTMLImageElement
  URI designating a long description of this image or frame. See the longdesc attribute definition in HTML 4.0.
  Specified by:
    getLongDesc in interface HTMLImageElement

### setLongDesc

    public void setLongDesc(java.lang.String longDesc)

  Specified by:
    setLongDesc in interface HTMLImageElement

### getUseMap

    public java.lang.String getUseMap()

  Description copied from interface: HTMLImageElement
  Use client-side image map. See the usemap attribute definition in HTML 4.0.
  Specified by:
    getUseMap in interface HTMLImageElement

### setUseMap

    public void setUseMap(java.lang.String useMap)

  Specified by:
    setUseMap in interface HTMLImageElement

### getVspace

    public java.lang.String getVspace()

  Description copied from interface: HTMLImageElement
  Vertical space above and below this image. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getVspace in interface HTMLImageElement

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    setVspace in interface HTMLImageElement

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: HTMLImageElement
  Override width. See the width attribute definition in HTML 4.0.
  Specified by:
    getWidth in interface HTMLImageElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface HTMLImageElement

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD